%define dist Authen-PAM
Name: perl-%dist
Version: 0.16
Release: alt1

Summary: Perl interface to PAM library
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
# http://www.cs.kuleuven.ac.be/~pelov/pam/download/
Source: %dist-%version.tar.bz2

Patch0: %name-0.16-alt-static.patch
Patch1: %name-0.16-alt-posix.patch

# Added by buildreq2 on Thu Jun 30 2005
BuildRequires: libpam-devel login perl-devel

%description
This module provides a Perl interface to the PAM library (Pluggable
Authentication Modules, a flexible mechanism for authenticating users).

%prep
%setup -q -n %dist-%version
%__subst s/die/warn/ test.pl
%patch0 -p1
%patch1 -p1 -b -

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc	Changes README
%dir	%perl_vendor_archlib/Authen
	%perl_vendor_archlib/Authen/PAM.pm
%dir	%perl_vendor_archlib/Authen/PAM
%doc	%perl_vendor_archlib/Authen/PAM/FAQ.pod
%dir	%perl_vendor_autolib/Authen
%dir	%perl_vendor_autolib/Authen/PAM
	%perl_vendor_autolib/Authen/PAM/PAM.so

%changelog
* Thu Jun 30 2005 Alexey Tourbin <at@altlinux.ru> 0.16-alt1
- 0.14 -> 0.16 (development release)
- PAM.xs: made plain C functions static (cpan #13477)
- PAM.pm: explicitly specified import list for POSIX module (cpan #13478)
- specfile cleanup
- manual pages not packaged (use perldoc)

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.14-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Wed Mar 19 2003 Stanislav Ievlev <inger@altlinux.ru> 0.14-alt1
- 0.14

* Mon Nov 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.13-alt2
- rebuild with new perl

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.13-alt1
- Rebuilt in new environment
- 0.13
- Some spec cleanup

* Mon Nov 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.12-alt1
- Adopted for Sisyphus

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 0.12-1mdk
- 0.12.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-3mdk
- BuildRequires: pam-devel perl-devel

* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11-2mdk
- rebuild

* Thu Apr 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.11-1.1mdk
- removed samples from doc
- changed spec name

* Thu Apr 12 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.11-1mdk
- First Mandrake release

